//////////////////////////////////////////////////////////////////////////////
//
// PocketHAL
// Copyright 2003 by Thierry Tremblay
//
//////////////////////////////////////////////////////////////////////////////

#if !defined(POCKETHAL_AUTOLINK_H) && !defined(POCKETHAL)
#define POCKETHAL_AUTOLINK_H


#if defined(WIN32_PLATFORM_PSPC)

    #if (WIN32_PLATFORM_PSPC == 1)

        // PocketPC    
        #if defined(ARM)
            #pragma comment( lib, "PocketHAL_ARM.lib" )
        #elif defined(_MIPS_)
            #pragma comment( lib, "PocketHAL_MIPS.lib" )
        #elif defined(SH3)
            #pragma comment( lib, "PocketHAL_SH3.lib" )
        #elif defined(_X86_)
            #pragma comment( lib, "PocketHAL_EMU_PPC2000.lib" )
        #else
            #error Unknown processor
        #endif
    
    #elif (WIN32_PLATFORM_PSPC == 310)

        // Pocket PC 2002
        #if defined(ARM)
            #pragma comment( lib, "PocketHAL_ARM.lib" )
        #elif defined(_X86_)
            #pragma comment( lib, "PocketHAL_EMU_PPC2002.lib" )
        #else
            #error Unknown processor
        #endif

    #elif (WIN32_PLATFORM_PSPC == 400)
        
        // Pocket PC 2003
        #if defined(ARM)
            #pragma comment( lib, "PocketHAL_ARM.lib" )
        #elif defined(_X86_)
            #pragma comment( lib, "PocketHAL_EMU_PPC2003.lib" )
        #else
            #error Unknown processor
        #endif
    
    #else
        
        #error Unknown PocketPC platform
    
    #endif    


#elif defined(WIN32_PLATFORM_HPC2000)

    #error H/PC 2000 not supported

#elif defined(WIN32_PLATFORM_HPCPRO)

    #error H/PC Pro not supported

#elif defined(WIN32_PLATFORM_WFSP)
    
    #error Smartphone not supported

#elif defined(_WIN32) && defined(_M_IX86)

    // PC
    #pragma comment( lib, "PocketHAL_x86_PC.lib" )

#else

    #error Unknown platform

#endif



#endif
