//////////////////////////////////////////////////////////////////////////////
//
// PocketHAL
// Copyright 2003 by Thierry Tremblay
//
//////////////////////////////////////////////////////////////////////////////

#ifndef POCKETHAL_DEFS_H
#define POCKETHAL_DEFS_H

namespace PHAL
{

//////////////////////////////////////////////////////////////////////////////
//
// Pocket PC models
//
//////////////////////////////////////////////////////////////////////////////

enum Model
{
    MODEL_UNKNOWN = 0,

    // Pocket PCs
    MODEL_AUDIOVOX_MAESTRO,
    MODEL_CASIO_E115,
    MODEL_CASIO_E125,
    MODEL_CASIO_EM500,
    MODEL_CASIO_E200,
    MODEL_DELL_AXIM,
    MODEL_JORNADA_540,
    MODEL_JORNADA_545,
    MODEL_JORNADA_565,
    MODEL_JORNADA_568,
    MODEL_IPAQ_2200,
    MODEL_IPAQ_3600,
    MODEL_IPAQ_3700,
    MODEL_IPAQ_3800,
    MODEL_IPAQ_3900,
    MODEL_FUJITSU_SIEMENS_LOOX,
    MODEL_PALMAX_AMIGO,
    MODEL_SYMBOL_PPT_2700,
    MODEL_TOSHIBA_E310,
    MODEL_TOSHIBA_E570,
    MODEL_TOSHIBA_E740,

    // Handheld PCs
    MODEL_JORNADA_680,
    MODEL_JORNADA_720,

    // Emulator
    MODEL_EMULATOR,
};



//////////////////////////////////////////////////////////////////////////////
//
// Pocket PC platforms
//
//////////////////////////////////////////////////////////////////////////////

enum Platform
{
    PLATFORM_UNKNOWN = 0,

    PLATFORM_PC,

    PLATFORM_POCKETPC_2000,
    PLATFORM_POCKETPC_2002,
    PLATFORM_POCKETPC_2003
};



//////////////////////////////////////////////////////////////////////////////
//
// Pocket PC processors
//
//////////////////////////////////////////////////////////////////////////////

enum Processor
{
    CPU_UNKNOWN = 0,

    // x86
    CPU_X86,            // Generic X86
    
    // ARM
    CPU_ARM,            // Generic ARM
    CPU_STRONGARM,      // Intel StrongARM (SA1110)
    CPU_XSCALE,         // Intel XScale (PXA2xx)

    // MIPS
    CPU_MIPS,           // Generic MIPS
    CPU_VR4122,         // NEC VR4122

    // SH3
    CPU_SH3,            // Hitachi SH3
};


} // end of namespace PHAL

#endif
