//////////////////////////////////////////////////////////////////////////////
//
// PocketHAL
// Copyright 2003 by Thierry Tremblay
//
//////////////////////////////////////////////////////////////////////////////

#ifndef POCKETHAL_KEYS_H
#define POCKETHAL_KEYS_H

#include "display.h"

namespace PHAL
{

//////////////////////////////////////////////////////////////////////////////
//
// KeyList
//
//////////////////////////////////////////////////////////////////////////////

struct KeyList
{
    // List of available keys
    int16_t vkStart;    // Button <Start>
    int16_t vkA;        // Button <A>
    int16_t vkB;        // Button <B>
    int16_t vkC;        // Button <C>

    int16_t vkAux1;     // Button <Aux1> (0 if not available)
    int16_t vkAux2;     // Button <Aux2> (0 if not available)
    int16_t vkAux3;     // Button <Aux3> (0 if not available)
    int16_t vkAux4;     // Button <Aux4> (0 if not available)

    int16_t vkAux5;     // Button <Aux5> (0 if not available)
    int16_t vkAux6;     // Button <Aux6> (0 if not available)
    int16_t vkAux7;     // Button <Aux7> (0 if not available)
    int16_t vkAux8;     // Button <Aux8> (0 if not available)
};



//////////////////////////////////////////////////////////////////////////////
//
// GetKeyList - Return the key list for the specified orientation
//
//////////////////////////////////////////////////////////////////////////////

bool GetKeyList( KeyList* keylist, Orientation orientation );



} // end of namespace PHAL

#endif
